﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using GrapeCity.ActiveAnalysis;
using GrapeCity.ActiveAnalysis.DataSources;

namespace WebApplication7
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            var myDS = new RdDataSource();
            myDS.ConnectionString = @"Provider=Microsoft.Jet.OLEDB.4.0;Data Source=C:\Users\Public\Documents\GrapeCity\ActiveAnalysis\DataSources\NWind\NWind.mdb;";
            myDS.ConnectionType = GrapeCity.ActiveAnalysis.DataSources.ConnectionType.OleDb;
            myDS.CustomSchemaFile = @"C:\Users\Public\Documents\GrapeCity\ActiveAnalysis\DataSources\NWind\NwindMDB-SalesProductsSuppliers.schema";
            myDS.QueryString = @"SELECT c.CategoryName, p.ProductName, o.OrderID, o.OrderDate, d.UnitPrice, d.Quantity, s.Country AS SupplierCountry, s.City AS SupplierCity,
s.CompanyName AS SupplierCompany, m.Country AS CustomerCountry, m.City AS CustomerCity, m.CompanyName AS CustomerCompany, d.Discount, m.Region AS CustomerRegion, s.Region AS
SupplierRegion, e.LastName, e.EmployeeID AS EmployeeID, e.Title AS EmployeeTitle, e.Region AS EmployeeRegion, e.Country AS EmployeeCountry, e.City AS EmployeeCity, o.Freight,
o.ShipName, o.ShipVia, o.ShipCity, o.ShipRegion, o.ShipCountry FROM Suppliers AS s INNER JOIN ((Categories AS c INNER JOIN Products AS p ON c.CategoryID = p.CategoryID)
INNER JOIN (Employees AS e INNER JOIN (Customers AS m INNER JOIN (Orders AS o INNER JOIN [Order Details] AS d ON (o.OrderID = d.OrderID) AND (o.OrderID = d.OrderID) AND
(o.OrderID = d.OrderID)) ON m.CustomerID = o.CustomerID) ON e.EmployeeID = o.EmployeeID) ON p.ProductID = d.ProductID) ON s.SupplierID = p.SupplierID";
            myDS.Connect();
            PivotView1.DataSource = myDS;
        }
    }
}
